Page MenuHomePhabricator

Create new fingerprint-widget to replace header and current fingerprintlist widgets
Closed, ResolvedPublic

Description


Version: unspecified
Severity: normal
Whiteboard: u=dev c=frontend p=0

Details

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:56 AM
bzimport set Reference to bz73656.
bzimport added a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:34 PM
Lydia_Pintscher renamed this task from UI: Create new fingerprint-widget to replace header and current fingerprintlist widgets to Create new fingerprint-widget to replace header and current fingerprintlist widgets.Dec 3 2014, 11:36 AM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher set Security to None.

Change 183498 had a related patch set uploaded (by Tobias Gritschacher):
Rearranged entity view header

https://gerrit.wikimedia.org/r/183498

Patch-For-Review

On https://gerrit.wikimedia.org/r/#/c/184856/1:

  • With a quite empty item, .wikibase-entityview-main gets wider when I toggle »Language list«, which looks jumpy. Also, .wikibase-entitytermsview-heading-label does not get wider accordingly.
  • »Language list« is clickable over the whole width, without an indication that this is the case.
  • If the language list is collapsed and empty and I click enter, the toggle icon is not changed.
  • After adding an entry to an empty language list, the statements do not move away when toggling the language list
  • After reload, it says »Noch keine Beschreibung angegeben«, although when editing it correctly shows the description. After canceling edit, description is still there
  • Statements don't move away in other cases, too.

Except for the first point, I am unable to reproduce the erroneous behaviour in Chrome, FF and IE. Cannot think of anything else but caching being broken somehow. Maybe, you should start with testing the change set bottommost in the queue (https://gerrit.wikimedia.org/r/#/c/183498/). Regarding the jumpy behaviour (first point) on the edge case that no statement exists and the header contents are rather short: We could ease that with some JavaScript (css does not work out) but as the whole layout behaviour will change after updating the statement layout (next step) anyway, I am not sure effort should be put into that temporary functionality.

On an item without label/desc/alias, clicking edit and then cancel removes the title

Change 183498 merged by jenkins-bot:
Rearranged entity view header

https://gerrit.wikimedia.org/r/183498

Tobi_WMDE_SW closed this task as Resolved.Feb 5 2015, 4:06 PM
Tobi_WMDE_SW moved this task from Review to Done on the § Wikidata-Sprint-2015-02-03 board.